Subject: Re: Updated: OpenSSH-2.3.0p1
From: Ross Smith <[email-masked]>
To: cygwin <[email-masked]>
Date: Fri, 10 Nov 2000 08:48:41 +1300

Corinna Vinschen wrote:
> 
> Ross Smith wrote:
> > I tried sshd -d as you suggested to Richard; I have no idea what any of
> > this means but presumably it will tell you something:
> >
> > > /usr/sbin$ ./sshd.exe -d
> > > debug1: sshd version OpenSSH_2.3.0p1
> > > debug1: Seeding random number generator
> > > error: Could not load host key: /usr/local/etc/ssh_host_key: No such file or directory
> 
> "/usr/local/etc/ssh_host_key". Take a look into your /etc/sshd_config
> file. There is probably a line
> 
>         HostKey /usr/local/etc/ssh_host_key
> 
> Comment it with `#' or remove the line or change it to
> 
>         HostKey /etc/ssh_host_key
> 
> Your sshd_config file is from an older version. The older
> `ssh-config' created the above HostKey line pointing to
> /usr/local/etc by mistake.

Thank you! It works fine now, and I'm kicking myself (or would be if I
was feeling a bit more limber) because I did read your note about moving
ssh out of /usr/local and it should have occurred to me to check the
config files for explicit paths. Apologies for my stupidity.

-- 
Ross Smith <[email-masked]> The Internet Group, Auckland, New Zealand
========================================================================
"C++ is to programming as sex is to reproduction. Better ways might
technically exist but they're not nearly as much fun." -- Nikolai Irgens

--
Want to unsubscribe from this list?
Send a message to [email-masked]